apiVersion: v1
items:
- apiVersion: argoproj.io/v1alpha1
  kind: Application
  metadata:
    annotations:
      kubectl.kubernetes.io/last-applied-configuration: |
        {"apiVersion":"argoproj.io/v1alpha1","kind":"Application","metadata":{"annotations":{},"name":"my-app","namespace":"gitops-service-argocd"},"spec":{"destination":{"namespace":"john","server":"https://kubernetes.default.svc"},"project":"default","source":{"path":"kustomize-guestbook","repoURL":"https://github.com/argoproj/argocd-example-apps","targetRevision":"master"},"syncPolicy":{"automated":{"prune":true,"selfHeal":true}}}}
    creationTimestamp: "2023-07-05T11:20:22Z"
    generation: 11
    name: my-app
    namespace: gitops-service-argocd
    resourceVersion: "40943"
    uid: 789f60fa-1903-41b4-a381-24d01381c9d4
  spec:
    destination:
      namespace: john
      server: https://kubernetes.default.svc
    project: default
    source:
      path: kustomize-guestbook
      repoURL: https://github.com/argoproj/argocd-example-apps
      targetRevision: master
    syncPolicy:
      automated:
        prune: true
        selfHeal: true
  status:
    health:
      status: Progressing
    history:
    - deployStartedAt: "2023-07-05T11:20:24Z"
      deployedAt: "2023-07-05T11:20:25Z"
      id: 0
      revision: 53e28ff20cc530b9ada2173fbbd64d48338583ba
      source:
        path: kustomize-guestbook
        repoURL: https://github.com/argoproj/argocd-example-apps
        targetRevision: master
    operationState:
      finishedAt: "2023-07-05T11:20:25Z"
      message: successfully synced (all tasks run)
      operation:
        initiatedBy:
          automated: true
        retry:
          limit: 5
        sync:
          prune: true
          revision: 53e28ff20cc530b9ada2173fbbd64d48338583ba
      phase: Succeeded
      startedAt: "2023-07-05T11:20:24Z"
      syncResult:
        resources:
        - group: ""
          hookPhase: Running
          kind: Service
          message: service/kustomize-guestbook-ui created
          name: kustomize-guestbook-ui
          namespace: john
          status: Synced
          syncPhase: Sync
          version: v1
        - group: apps
          hookPhase: Running
          kind: Deployment
          message: deployment.apps/kustomize-guestbook-ui created
          name: kustomize-guestbook-ui
          namespace: john
          status: Synced
          syncPhase: Sync
          version: v1
        revision: 53e28ff20cc530b9ada2173fbbd64d48338583ba
        source:
          path: kustomize-guestbook
          repoURL: https://github.com/argoproj/argocd-example-apps
          targetRevision: master
    reconciledAt: "2023-07-05T11:21:29Z"
    resources:
    - health:
        status: Healthy
      kind: Service
      name: kustomize-guestbook-ui
      namespace: john
      status: Synced
      version: v1
    - group: apps
      health:
        message: 'Waiting for rollout to finish: 0 of 1 updated replicas are available...'
        status: Progressing
      kind: Deployment
      name: kustomize-guestbook-ui
      namespace: john
      status: Synced
      version: v1
    sourceType: Kustomize
    summary:
      images:
      - gcr.io/heptio-images/ks-guestbook-demo:0.1
    sync:
      comparedTo:
        destination:
          namespace: john
          server: https://kubernetes.default.svc
        source:
          path: kustomize-guestbook
          repoURL: https://github.com/argoproj/argocd-example-apps
          targetRevision: master
      revision: 53e28ff20cc530b9ada2173fbbd64d48338583ba
      status: Synced
kind: List
metadata:
  resourceVersion: ""
